<template>
    <div class="questions" v-if="questions">
        <div class="question">
            <h1>{{ getTitleQuestion }}</h1>
        </div>
        
        <div class="answers fade-in row">
            <div class="get-answer col-sm-6">
                <transition name="a">
                    <div  @click="getAnswer(getAnswerA)" :class="[getIschoosing === getAnswerA ? 'active' : '', 'answer']">A. {{ getAnswerA }}</div>
                </transition>
            </div>
            <div class="get-answer col-sm-6">
                <transition name="b">
                    <div :class="[getIschoosing === getAnswerB ? 'active' : '',, 'answer']" @click="getAnswer(getAnswerB)" >B. {{ getAnswerB }}</div>
                </transition>
            </div>
            <div class="get-answer col-sm-6">
                <transition name="c">
                    <div :class="[getIschoosing === getAnswerC ? 'active' : '', 'answer']" @click="getAnswer(getAnswerC)" >C. {{ getAnswerC }}</div>
                </transition>
               
            </div>
            <div class="get-answer col-sm-6">
                <transition name="d">
                    <div :class="[getIschoosing === getAnswerD ? 'active' : '', 'answer']" @click="getAnswer(getAnswerD)" >D. {{ getAnswerD }}</div>
                </transition>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Question',
    props: {
       questions: Object,
       chose: String
    },
    data() {
        return {
            question: '',
            answer_a: '',
            answer_b: '',
            answer_c: '',
            answer_d: '',
        }
    },
    computed: {
        getTitleQuestion() {
            if (!this.questions.question) {
                return
            }
            return this.questions.question
        },
        getAnswerA() {
            if (!this.questions.answer_a) {
                return
            }
            return this.questions.answer_a
        },
        getAnswerB() {
            if (!this.questions.answer_b) {
                return
            }
            return this.questions.answer_b
        },
        getAnswerC() {
            if (!this.questions.answer_c) {
                return
            }
            return this.questions.answer_c
        },
        getAnswerD() {
            if (!this.questions.answer_d) {
                return
            }
            return this.questions.answer_d
        },
        getIschoosing() {
            if(!this.chose) {
                return
            }
            return this.chose
        }
    },
    methods: {
        getAnswer(answer) {
            this.$emit('get-right-answer', answer);
        },
    }
}
</script>

<style scoped>
    .question{
        border: 2px solid #b3b3b3;
        border-radius: 20px;
        padding: 20px 5px 20px 5px;
        color: aliceblue;
        background-color:	#0000cc;
    }
    .answers.row  .get-answer{
        padding: 10px 20px 10px 20px;        
        
    }

    .fade-in {
        animation: fadeIn ease 5s;
        -webkit-animation: fadeIn ease 5s;
        -moz-animation: fadeIn ease 5s;
        -o-animation: fadeIn ease 5s;
        -ms-animation: fadeIn ease 5s;
    }


    @keyframes fadeIn{
        0% {
            opacity:0;
        }
        100% {
            opacity:1;
        }
    }

    @-moz-keyframes fadeIn {
        0% {
            opacity:0;
        }
        100% {
            opacity:1;
        }
    }

    @-webkit-keyframes fadeIn {
        0% {
            opacity:0;
        }
        100% {
            opacity:1;
        }
    }

    @-o-keyframes fadeIn {
        0% {
            opacity:0;
        }
        100% {
            opacity:1;
        }
    }

    @-ms-keyframes fadeIn {
        0% {
            opacity:0;
        }
        100% {
            opacity:1;
        }
    }

    .answers.row  .get-answer .answer{
        border: 1px solid #b3b3b3;
        border-radius: 10px;
        padding: 20px 0px 20px 0px;
        color: aliceblue;
        font-weight: bold;
        background-color:	#0000cc;
    }

    .answers.row  .get-answer .answer.active {
        background: #ecf00a;
        color: black;
    }

</style>
